arg_helpers.h File Reference
`#include <iostream>`
`#include <vector>`
`#include <map>`
`#include <gnuradio/io_signature.h>`
`#include <boost/lexical_cast.hpp>`
`#include <boost/tokenizer.hpp>`
`#include <ciso646>`

Go to the source code of this file.

## Classes

struct | is_nchan_argument

## Typedefs

typedef std::map< std::string, std::string > | dict_t
typedef std::pair< std::string, std::string > | pair_t

## Functions

std::string | dict_to_args_string (const dict_t &d)
std::vector< std::string > | args_to_vector (const std::string &args)
std::vector< std::string > | params_to_vector (const std::string &params)
pair_t | param_to_pair (const std::string &param)
dict_t | params_to_dict (const std::string &params)
gr::io_signature::sptr | args_to_io_signature (const std::string &args)

## Typedef Documentation

## dict_t

typedef std::map< std::string, std::string > dict_t

## pair_t

typedef std::pair< std::string, std::string > pair_t

## Function Documentation

## args_to_io_signature()

gr::io_signature::sptr args_to_io_signature | ( | const std::string & | args | ) |

inline

References args_to_vector(), param_to_pair(), and params_to_dict().

## args_to_vector()

std::vector< std::string > args_to_vector | ( | const std::string & | args | ) |

inline

Referenced by args_to_io_signature().

## dict_to_args_string()

std::string dict_to_args_string | ( | const dict_t & | d | ) |

inline

## param_to_pair()

pair_t param_to_pair | ( | const std::string & | param | ) |

inline

Referenced by args_to_io_signature(), and params_to_dict().

## params_to_dict()

dict_t params_to_dict | ( | const std::string & | params | ) |

inline

References param_to_pair(), and params_to_vector().

Referenced by args_to_io_signature().

## params_to_vector()

std::vector< std::string > params_to_vector | ( | const std::string & | params | ) |

inline

Referenced by params_to_dict().